/*
 * Flap
 *
 * Index
 * - Flap
 * - Colors
 * - Sizes
 */

/* FLAP
 -------------------- */

:host {
  box-sizing: border-box;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 1.5rem;
  padding: 0 0.75rem;
  font-size: var(--road-font-size-14);
  font-weight: 700;
  background: var(--road-grey-000);
  border: 1px solid transparent;
  border-radius: 1.5rem;
}

/* COLORS
 -------------------- */

:host(.flap-promo) {
  color: var(--road-tag-offer);
  border-color: var(--road-tag-offer);
}

:host(.flap-exclu) {
  color: var(--road-tag-exclusivity);
  border-color: var(--road-tag-exclusivity);
}

:host(.flap-info) {
  color: var(--road-tag-default);
  border-color: var(--road-tag-default);
}

:host(.flap-ecology) {
  color: var(--road-tag-ecology);
  border-color: var(--road-tag-ecology);
}

:host(.flap-blackfriday) {
  color: var(--road-tag-black-friday);
  border-color: var(--road-tag-black-friday);
}

:host(.flap-promo-filled) {
  color: var(--road-on-primary);
  background-color: var(--road-tag-offer);
}

:host(.flap-exclu-filled) {
  color: var(--road-on-primary);
  background-color: var(--road-tag-exclusivity);
}

:host(.flap-info-filled) {
  color: var(--road-on-primary);
  background-color: var(--road-tag-default);
}

:host(.flap-ecology-filled) {
  color: var(--road-on-primary);
  background-color: var(--road-tag-ecology);
}

:host(.flap-blackfriday-filled) {
  color: var(--road-on-primary);
  background-color: var(--road-tag-black-friday);
}

/* SIZES
 -------------------- */

:host(.flap-md) {
  height: 2rem;
  padding: 0 1rem;
  font-size: var(--road-font-size-16);
}
